export declare type ActionCreatorFunction<T extends string, P> = (() => {
    type: T;
}) | ((...args: any[]) => {
    type: T;
    payload: P;
    meta?: {};
    error?: boolean;
});
export declare type TSActionCreator<AC, T extends string> = AC & {
    readonly type: T;
};
export declare function createAction<T extends string>(typeString: T): TSActionCreator<(() => {
    type: T;
}), T>;
export declare function createAction<T extends string, TS extends T, P, AC extends ActionCreatorFunction<T, P>>(typeString: TS, creatorFunction?: (type: T) => AC): TSActionCreator<AC, T>;
